Bug 184485 - Anaconda command line truncated
Anaconda command line truncated
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pxe (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 02:58 EST by Loic Domaigne
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 13:08:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Loic Domaigne 2006-03-09 02:58:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.1) Gecko/20060111 Firefox/1.5.0.1

Description of problem:
We are installing RHEL AS 4 update 2 using Kickstart over PXE boot. The image that is TFTP'ed and used during the install process is the one found in /images/pxeboot directory on the 1st CD (vmlinuz and initrd.img) 

We're passing the following command line to anaconda in order to perform our installation: 
runks=1 ksdevice=eth0 ks=http://172.24.52.90/bootix/Opodo/mucopXYZT.cfg text

However, the installation failed, and we get the following error message:
* ks location: http://172.24.52.90/bootix/Opodo/mucopX
* transferring http://172.24.52.90//./bootix/Opodo/mucopX to a fd 
* failed to retrieve http://172.24.52.90///bootix/Opodo/mucopX

It seems that the command line got truncated after the 64th characters. 

If I change the command line so that it fits to 64 characters, then the installation works as expected.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup environment to install the OS over PXE using kickstart 
2. pass a command line that is greater than 64 bytes 
3.
  

Actual Results:  The command line gets truncated. As a result, the kickstart filename is wrong, and hence the file cannot be found. The installation process stops. 

Expected Results:  kickstart file should have been downloaded and the OS installed. 

Additional info:

Note that we didn't had this issue using RHEL AS 3.

Note You need to log in before you can comment on or make changes to this bug.